package cl.homelogic.platform.common.logging

import android.util.Log

internal actual fun logPlatform(
    severity: Severity,
    tag: String,
    message: String,
) {
    when (severity) {
        Severity.Debug -> Log.d(tag, message)
        Severity.Verbose -> Log.v(tag, message)
        Severity.Info -> Log.i(tag, message)
        Severity.Warn -> Log.w(tag, message)
        Severity.Error -> Log.e(tag, message)
        else -> {}
    }
}
